nn.pp.rccore

## Class RCCoreFactory

- java.lang.Object
- - nn.pp.rccore.RCCoreFactory

- All Implemented Interfaces:
    RCCoreProvider

      public class RCCoreFactory
      extends java.lang.Object
      implements RCCoreProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RCCoreFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RCCore` | `createRCCore(RemoteConsoleRenderer renderer)`
    `static RCCore` | `loadGraphicalRCCore(java.util.logging.Logger logger)` Create a new instance of `RCCore` which has a graphical back-end.
    `static RCCore` | `loadGraphicalRCCoreNoVolatileImage(java.util.logging.Logger logger)` Create a new instance of `RCCore` which has a graphical back-end.
    `static RCCore` | `loadGraphicalReadOnlyRCCore(java.util.logging.Logger logger)` Create a new instance of `RCCore` which has a graphical back-end.
    `static RCCore` | `loadGraphicalReadOnlyRCCoreNoVolatileImage(java.util.logging.Logger logger)` Create a new instance of `RCCore` which has a graphical back-end.
    `static RCCore` | `loadMemoryBufferRCCore(java.util.logging.Logger logger)` Create a new instance of `RCCore` which has a memory back-end.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RCCoreFactory

          public RCCoreFactory()

  - ### Method Detail

    - #### loadGraphicalRCCoreNoVolatileImage

          public static RCCore loadGraphicalRCCoreNoVolatileImage(java.util.logging.Logger logger)

      Create a new instance of `RCCore` which has a graphical back-end.

      This instance can be used to put it into any window or dialog GUI. It has full keyboard and mouse functionality.

      This version of the factory method creates an `RCCore` without using a VolatileImage internally. The volatile image can speed up some things, but it may introduce rendering issues.

      Parameters:
        `logger` - A logging object (may be null)
      Returns:
        A new instance of `RCCore`

    - #### loadGraphicalRCCore

          public static RCCore loadGraphicalRCCore(java.util.logging.Logger logger)

      Create a new instance of `RCCore` which has a graphical back-end.

      This instance can be used to put it into any window or dialog GUI. It has full keyboard and mouse functionality.

      This version of the factory method creates an `RCCore` using a VolatileImage internally. The volatile image can speed up some things, but it may introduce rendering issues.

      Parameters:
        `logger` - A logging object (may be null)
      Returns:
        A new instance of `RCCore`

    - #### loadMemoryBufferRCCore

          public static RCCore loadMemoryBufferRCCore(java.util.logging.Logger logger)

      Create a new instance of `RCCore` which has a memory back-end.

      This instance does not have graphical capabilities. It works in-memory only. This may be used for testing or scripting.

      Parameters:
        `logger` - A logging object (may be null)
      Returns:
        A new instance of `RCCore`

    - #### loadGraphicalReadOnlyRCCoreNoVolatileImage

          public static RCCore loadGraphicalReadOnlyRCCoreNoVolatileImage(java.util.logging.Logger logger)

      Create a new instance of `RCCore` which has a graphical back-end.

      This instance can be used to put it into any window or dialog GUI. It has no keyboard and mouse functionality (i.e. is read-only).

      This version of the factory method creates an `RCCore` without using a VolatileImage internally. The volatile image can speed up some things, but it may introduce rendering issues.

      Parameters:
        `logger` - logger A logging object (may be null)
      Returns:
        A new instance of `RCCore`

    - #### loadGraphicalReadOnlyRCCore

          public static RCCore loadGraphicalReadOnlyRCCore(java.util.logging.Logger logger)

      Create a new instance of `RCCore` which has a graphical back-end.

      This instance can be used to put it into any window or dialog GUI. It has no keyboard and mouse functionality (i.e. is read-only).

      This version of the factory method creates an `RCCore` using a VolatileImage internally. The volatile image can speed up some things, but it may introduce rendering issues.

      Parameters:
        `logger` - logger A logging object (may be null)
      Returns:
        A new instance of `RCCore`

    - #### createRCCore

          public RCCore createRCCore(RemoteConsoleRenderer renderer)

      Specified by:
        `createRCCore` in interface `RCCoreProvider`

Copyright © 2025 Raritan Inc. All Rights Reserved.